Bug 820292 - Installation Guide dependency list needs updating
Installation Guide dependency list needs updating
Status: ASSIGNED
Product: Gluster-Documentation
Classification: Community
Component: Other (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Divya
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 10:28 EDT by Louis Zuckerman
Modified: 2016-01-11 03:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Louis Zuckerman 2012-05-09 10:28:17 EDT
Description of problem:

Section 2.2.2 of the Installation Guide lists build dependencies as installation requirements, but they are not.  This is misleading to people new to glusterfs.  Also there are actual installation dependencies which are not listed.

http://download.gluster.com/pub/gluster/glusterfs/3.2/Documentation/IG/html/ch02s02s02.html

LISTED items that should be REMOVED:

Bison
Automake/ Autoconf
Flex
libtool
gcc

UNlisted items that should be ADDED:

python
rsync
Comment 1 Joe Julian 2012-05-09 14:26:21 EDT
Additionally, ADD:
libxml
openssl


Specifically ADD
python >= 2.6 OR python 2.5 and python-ctypes
rsync >= 3.0.0

Note You need to log in before you can comment on or make changes to this bug.